# XYMONCMD

Section: User Commands (1)
Updated: Version Exp: 30 Jul 2011
Index Return to Main Contents

## NAME

xymoncmd - Run a Xymon command with environment set

## SYNOPSIS

xymoncmd [--env=ENVFILE COMMAND|--version|--debug]

## DESCRIPTION

xymoncmd(1) is a utility that can setup the Xymon environment variables as defined in a xymonlaunch(8) compatible environment definition file, and then execute a command with this environment in place. It is mostly used for testing extension scripts or in other situations where you need to run a single command with the environment in place.

The "--env=ENVFILE" option points xymoncmd to the file where the environment definitions are loaded from.

COMMAND is the command to execute after setting up the environment.

If you want to run multiple commands, it is often easiest to just use "sh" as the COMMAND - this gives you a sub-shell with the environment defined globally.

The "--debug" option print out more detail steps of xymoncmd execution.

The "--version" option print out version number of xymoncmd.

## SEE ALSO

xymonlaunch(8), xymon(7)

## Index

NAME
SYNOPSIS
DESCRIPTION
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 13:51:46 GMT, July 30, 2011